#include <stdio.h>

#include "array.h"

static int ret = 0;

static void
process_success (bool        success,
                 const char *func_name)
{
    if (success)
    {
        fprintf (stderr, "%s () failed\n", func_name);
        ret++;
    }
}

int
main (void)
{
    Array *array = array_new (NULL);
    bool success;

    success = array_remove_fast (array, 1);
    process_success (success, "array_remove_fast");

    success = array_remove (array, 1);
    process_success (success, "array_remove_fast");

    success = array_set (array, 1, NULL);
    process_success (success, "array_remove_fast");

    success = array_get (array, 1);
    process_success (success, "array_remove_fast");

    return ret;
}
